<script setup lang="ts">
    import { ArticleReservation } from '@/logisticServiceOffer/entities/articleReservation/ArticleReservation'
    import { ServiceOffer } from '@/serviceOffer/entities/serviceOffer/ServiceOffer'
    import SArticleReservationListItem from '@/components/stock/SArticleReservationListItem.vue'

    const name = 'ArticleReservationListComponent'

    interface Props {
        serviceOfferId: ServiceOffer['id']
        articleReservations: ArticleReservation[] | undefined
    }
    withDefaults(defineProps<Props>(), {
        articleReservations: undefined,
    })

    const emit = defineEmits(['actualiserLesDonnées'])
</script>

<template>
    <v-table :data-component="name">
        <thead>
            <tr>
                <th scope="col">Article</th>
                <th scope="col">Unité</th>
                <th scope="col">Qté réservée</th>
                <th scope="col" class="d-print-none">Emplacement</th>
                <th scope="col" class="d-print-none" colspan="2">
                    Qté en stock
                </th>
                <th scope="col" class="d-print-none">Picking</th>
                <th scope="col" class="d-print-none"></th>
            </tr>
        </thead>
        <tbody>
            <template
                v-for="articleReservation in articleReservations"
                :key="articleReservation.id"
            >
                <s-article-reservation-list-item
                    :article-reservation="articleReservation"
                    :service-offer-id="serviceOfferId"
                    @actualiser-les-données="emit('actualiserLesDonnées')"
                />
            </template>
        </tbody>
    </v-table>
</template>
